Your comments

Hi Alexander
I tried to buy your fantastic editor to work on an iPad 1 IOS5 device but the appstore is not proposing to download any compatible older version you maintained in the pady. Any suggestion?
´╗┐